Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.persistence.jest
Class PropertiesCommand

    java.lang.Object
      org.apache.openjpa.persistence.jest.AbstractCommand
          org.apache.openjpa.persistence.jest.PropertiesCommand

All Implemented Interfaces:
  JESTCommand

    public class PropertiesCommand

extends AbstractCommand

Represents configuration properties in HTML.

Author:
  Pinaki Poddar

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.openjpa.persistence.jest.JESTCommand
`JESTCommand.Format`

Field Summary

Fields inherited from class org.apache.openjpa.persistence.jest.AbstractCommand
`_ctx, _formatter, _loc, EMPTY_LIST, EQUAL, PATH_SEPARATOR`

Constructor Summary
`PropertiesCommand(JPAServletContext ctx)`

Method Summary
`protected JESTCommand.Format` | `getDefaultFormat()`
`protected int` | `getMaximumArguments()` Gets the maximum number of arguments excluding the mandatory arguments.
`void` | `process()` Process the given request and write the output on to the given response in the given context.

Methods inherited from class org.apache.openjpa.persistence.jest.AbstractCommand
`debug, getArgument, getArguments, getExecutionContext, getMandatoryArgument, getMandatoryArguments, getMinimumArguments, getObjectFormatter, getQualifier, getQualifiers, getValidQualifiers, hasArgument, hasQualifier, isBooleanQualifier, parse, popFetchPlan, pushFetchPlan, toStateManager, toStateManager, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertiesCommand

    public PropertiesCommand(JPAServletContext ctx)

Method Detail

### getMaximumArguments

    protected int getMaximumArguments()

  Description copied from class: `AbstractCommand`
  Gets the maximum number of arguments excluding the mandatory arguments.

  Overrides:
    `getMaximumArguments` in class `AbstractCommand`
  Returns:
    Integer.MAX_VALUE by default.

### process

    public void process()
                 throws ProcessingException,
                        IOException

  Description copied from interface: `JESTCommand`
  Process the given request and write the output on to the given response in the given context.

  Throws:
    `ProcessingException`
    `IOException`

### getDefaultFormat

    protected JESTCommand.Format getDefaultFormat()

  Overrides:
    `getDefaultFormat` in class `AbstractCommand`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.